Bug 113241 - Options for Number recognition in Writer tables deserve better default: turned on (only functioning when 'Number Recognition' is on!)
Summary: Options for Number recognition in Writer tables deserve better default: turne...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Cor Nouws
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Writer-Tables-Number-Recognition
  Show dependency treegraph
 
Reported: 2017-10-18 20:19 UTC by Cor Nouws
Modified: 2018-10-16 08:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-10-18 20:19:32 UTC
Look in Tools > Options > LibreOffice Writer > Table .. Input in Tables.

The options 'Number format recognition' and 'Alignment' are off by default.
As is 'Number Recognition'

So far so good. The problem comes when one turns on Table > Number Recognition in the menu. IMO it is most useful, expected, when the other two options (from the Tools dialog) are in function then too.

So the options 'Number format recognition' and 'Alignment' in Writer tables should be on by default
Comment 1 Heiko Tietze 2017-10-19 06:27:33 UTC
I'm against exposing (and actually duplicating here) every option in the menu. So before bringing the Format and Alignment into the menu I would remove Number Recognition.

Jay, the menu is your topic?
Comment 2 Cor Nouws 2017-10-19 06:36:34 UTC
(In reply to Heiko Tietze from comment #1)
> ...
> menu. So before bringing the Format and Alignment into the menu I would
> remove Number Recognition.
eh... My proposal is not to add something to the menu :)
Comment 3 Heiko Tietze 2017-10-19 06:42:53 UTC
(In reply to Cor Nouws from comment #2)
> eh... My proposal is not to add something to the menu :)

You mean to check the two boxes in Tools > Options but ignore it when the parent is unchecked (aka when disabled)? Makes sense.
Comment 4 Cor Nouws 2017-10-19 06:44:25 UTC
(In reply to Heiko Tietze from comment #3)

> You mean to check the two boxes in Tools > Options but ignore it when the
> parent is unchecked (aka when disabled)? Makes sense.
Indeed, that is how it works, but they should be 'on' by default,
Comment 5 Cor Nouws 2018-09-27 21:46:50 UTC
added commit gerrit 61065
Comment 6 Cor Nouws 2018-10-02 16:19:34 UTC
reason for the patch:

if one turns on 'Number Recognition', the parent check box, it is most likely that 'Number format recognition' and 'Alignment' are desired too. Only then currency, separators are handled etc.

It is not only that I find it odd myself, having to check those on. Also from students I got the feedback that it is not logic.

The patch does just that; it is not extending or limitation any function.
Comment 7 Thomas Lendo 2018-10-03 13:43:31 UTC
Cor, does your patch
* set a checkmark into the checkboxes of 'Number format recognition' and 'Alignment' even if 'Number Recognition' is deactivated by default (so that the user has to uncheck these 2 options manually after activating 'Number Recognition') or
* activate 'Number format recognition' and 'Alignment' at the same time when the user activates 'Number Recognition' but by default none of the 3 options has a checkmark?
Comment 8 Cor Nouws 2018-10-03 14:34:51 UTC
Hi Thomas,

(In reply to Thomas Lendo from comment #7)
> Cor, does your patch
> * set a checkmark into the checkboxes of 'Number format recognition' and
> 'Alignment' even if 'Number Recognition' is deactivated by default (so that
> the user has to uncheck these 2 options manually after activating 'Number
> Recognition') or

this one. The reason: in most cases (that I've seen and can think of) it makes sense that the two detailed options are checked.
Comment 9 Thomas Lendo 2018-10-03 14:53:42 UTC
(In reply to Cor Nouws from comment #8)
Hi Cor, perfect. That's my preferred variant too.
Comment 10 Heiko Tietze 2018-10-03 17:40:56 UTC
(In reply to Thomas Lendo from comment #7)
> Cor, does your patch
> * set a checkmark into the checkboxes of 'Number format recognition' and
> 'Alignment' even if 'Number Recognition' is deactivated by default...

It is working like this (otherwise I wouldn't complain to much). Default with the patch is

[ ] Number Recognition
  - [x] Number format recognition -
  - [x] Alignment -

("-" for disabled)

Before/Today it was/is
[ ] Number Recognition
  - [ ] Number format recognition -
  - [ ] Alignment -
Comment 11 Heiko Tietze 2018-10-16 08:44:40 UTC
Let's go for now with the simple solution.
Comment 12 Commit Notification 2018-10-16 08:45:24 UTC
Cor Nouws committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b0cb3cf4ac35dbe29b203d24adf5604a860cde5

tdf#113241 better default for number recognition options in Writer tables

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.